首页 » Linux

php7安装tidy扩展

 

当前使用Centos7.x系统,php使用7.1版本,wlnmp一键包已支持该扩展 tidy扩展包含在php源码包中 1、安装所需依赖,如果在编译时还提示缺少其他依赖,请自行安装

2、下载php … 阅读全文

CentOS yum安装php7.4

 

centos系统下使用yum安装php7.4正式版,当前基于WLNMP提供的一键安装包来安装 1、添加epel源

2、添加WLNMP一键安装包源 [crayon-5e80ba8f3675c876 … 阅读全文

CentOS完美升级gcc版本方法

 

在某些应用场景中,需要特定的gcc版本支持,但是轻易不要去编译gcc,我这里推荐使用红帽提供的开发工具包来管理gcc版本,这样做的好处是随时切换版本,并且可以并存多个版本,不破坏原有gcc环境。 红帽官方Developer Toolset文档地址:https: … 阅读全文

CentOS7编译安装Nginx使其支持TLS1.3

 

Nginx最新的稳定版已经默认支持TLS1.3协议了,唯一值得注意的就是openssl的版本支持,如果你不想编译,建议使用wlnmp提供的源,一键yum安装Nginx,仅需要3步就可以搞定了。 yum直接安装方式: [crayon-5e80ba8f36ace7 … 阅读全文

Nginx之try_files指令

 

try_files指令是在nginx0.7.27版本中开始加入的,它可以按顺序检查文件是否存在,并返回第一个找到的文件,如果未找到任何文件,则会调用最后一个参数进行内部重定向。 try_files指令,官方说明:http://nginx.org/en/docs … 阅读全文

CentOS7编译安装openssl1.1.1

 

centos7默认提供的openssl版本是1.0.2的,想要升级openssl版本则需要手动进行编译 1、下载openssl

2、编译openssl [crayon-5e80ba8f36e83 … 阅读全文

openssl报错error while loading shared libraries: libssl.so.1.1

 

完整报错内容如下

这是由于加载库的时候找不到了,我这里将库的位置添加进来就好了 解决办法:

  ~微信打赏~ 赏

php7安装redis扩展

 

当前使用Centos7.x系统,同样适用于Centos6.x,php当前使用7.1版本,wlnmp一键包已支持该扩展 redis扩展包地址:https://pecl.php.net/package/redis 1、安装所需依赖,如果在编译时还提示缺少其他依赖, … 阅读全文

yum-plugin-versionlock插件锁定软件版本防止误升级

 

当我们在服务器执行yum update升级时,如果稍不留神可能就会将一些不该升级的软件进行升级,后果就是可能导致服务器一些服务异常,严重可能导致服务器重启宕机,那么为了避免出现这种误操作,这里就用到了yum-plugin-versionlock插件。 本文以C … 阅读全文